[arch-commits] Commit in python-matplotlib/trunk (PKGBUILD)

Bruno Pagani archange at archlinux.org
Wed Oct 24 13:15:55 UTC 2018


    Date: Wednesday, October 24, 2018 @ 13:15:55
  Author: archange
Revision: 398822

Upstream update + PKGBUILD cleaning

Modified:
  python-matplotlib/trunk/PKGBUILD

----------+
 PKGBUILD |   79 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 39 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2018-10-24 13:15:20 UTC (rev 398821)
+++ PKGBUILD	2018-10-24 13:15:55 UTC (rev 398822)
@@ -1,4 +1,5 @@
 # Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Maintainer: Bruno Pagani <archange at archlinux.org>
 # Contributor: Stéphane Gaudreault <stephane at archlinux.org>
 # Contributor: Stefan Husmann <stefan-husmann at t-online.de>
 # Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
@@ -5,65 +6,65 @@
 # Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
 
 pkgname=python-matplotlib
-pkgver=2.2.3
-pkgrel=2
+pkgver=3.0.0
+pkgrel=1
 pkgdesc="A python plotting library, making publication quality plots"
 arch=('x86_64')
-url='http://matplotlib.org'
+url="https://matplotlib.org"
 license=('custom')
-depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing'
-         'python-cycler' 'python-kiwisolver' 'libxkbcommon-x11')
-optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
-            'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
-            'tk: used by the TkAgg backend'
+depends=('freetype2' 'libpng' 'python-numpy' 'python-cycler' 'python-dateutil' 'python-kiwisolver' 'python-pyparsing')
+optdepends=('tk: Tk{Agg,Cairo} backends'
+            'python-pyqt5: Qt5{Agg,Cairo} backends'
+            'python-gobject: for GTK3{Agg,Cairo} backend'
+            'python-wxpython: WX{,Agg,Cairo} backend'
+            'python-cairo: {GTK3,Qt5,Tk,WX}Cairo backends'
+            'python-cairocffi: alternative for Cairo backends'
+            'python-tornado: WebAgg backend'
+            'ffmpeg: for saving movies'
+            'imagemagick: for saving animated gifs'
+            'python-pillow: for reading/saving jpeg/bmp/tiff files'
             'ghostscript: usetex dependencies'
-            'texlive-bin: usetex dependencies'
-            'python-tornado: for webagg backend'
-            'python-pillow: for reading/saving .jpg/bmp/tiff files')
-checkdepends=('python-pytest-xdist' 'python-pytest-runner'
-              'xorg-server-xvfb' 'texlive-core'
-              'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape' 'python-pandas'
-              'ttf-freefont')
-makedepends=('python-pytz' 'python-numpy'
-             'tk' 'python-cairocffi' 'python-dateutil'
-             'python-gobject' 'python-pyparsing'
-             'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
-             'python-tornado' 'gtk3' 'wxpython' 'python-pyqt5'
-             'libxkbcommon-x11' 'python-pillow' 'python-setuptools'
-             'python-cycler' 'python-kiwisolver')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+            'texlive-bin: usetex dependencies')
+makedepends=('git' 'rsync' 'python-setuptools'
+             'tk' 'python-pyqt5' 'python-gobject'
+             'python-wxpython' 'python-cairocffi' 'python-tornado'
+             'python-pillow' 'ghostscript' 'texlive-bin')
+             # 'qhull' missing pkg-config file
+             # 'agg' missing some non-upstreamed patches?
+checkdepends=('python-pytest-xdist' 'python-pytest-runner' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'inkscape' 'mencoder'
+              'ffmpeg' 'imagemagick' 'ttf-freefont' 'python-pandas')
+source=($pkgname-$pkgver.tar.gz::"https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+        "https://github.com/matplotlib/matplotlib/commit/ae005f3d0165963ba827712507fc9856b452d162.patch"
         setup.cfg)
-sha512sums=('d118f5d56e2f578031aba22933c0b3a4423a31a04f50f08cc1aa660186546d09692a9cf401bb5f24cb296f94fbfd8707460728d501ac2bd4a624dfa89e92949b'
+sha512sums=('1bcc665a3557655308c3688c747be4d35fce8742db67eda0cb494a550269bf4fba84d78b36f8296f82919b4cec50b5d23c9ce6d1f3a312a9d2dfaf3b2332b335'
+            '046329bcc0117a79f99cdb7fcf100e09e7792be93ebf76fb52e80e08d27802a00f6568b34037eaf47ec14b35d0ad1542dea7884ea3a814fe0f46526856a77fad'
             'f08c0b2e94599fdf2b736b8a655d862209934441d90f20ed872cfc128b8d2a6525763ab7cf64f2b3630e22a90798f4c52aa93b18087e9b48708d9bae34aada0b')
 
 prepare() {
-  cp -a "$srcdir"/matplotlib-$pkgver{,-test}
+  cd matplotlib-$pkgver
+  # Python 3.7.1 related fix https://github.com/matplotlib/matplotlib/issues/12601
+  patch -p1 -i ../ae005f3d0165963ba827712507fc9856b452d162.patch
+  cd ..
+  cp -a matplotlib-$pkgver{,-test}
 
   # Configure tests (FS#48175)
-  cp "$srcdir/setup.cfg" "$srcdir"/matplotlib-$pkgver-test/
+  cp setup.cfg matplotlib-$pkgver-test/
 }
 
 build() {
-  # this seems to need to be present or gtk/gdk dies
-  # and hangs the build checking if gtk3cairo is installed
-  export XDG_RUNTIME_DIR=/tmp
-
-  cd "$srcdir"/matplotlib-$pkgver
+  cd matplotlib-$pkgver
   python setup.py build
 }
 
 check() {
-  # Different font rendering details
-
-  cd "$srcdir"/matplotlib-$pkgver-test
+  cd matplotlib-$pkgver-test
   xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
-    python setup.py pytest --addopts="-n auto" || warning "Tests failed"
+    python setup.py pytest --addopts="-n auto" || warning "Tests failed" # Different font rendering details
 }
 
 package_python-matplotlib() {
   cd matplotlib-$pkgver
-  python setup.py install -O1 --skip-build --root "$pkgdir" --prefix=/usr
-
-  install -dm755 "$pkgdir"/usr/share/licenses/python-matplotlib
-  install -m 644 doc/users/license.rst "$pkgdir"/usr/share/licenses/python-matplotlib
+  python setup.py install --root "$pkgdir" --prefix=/usr --optimize=1 --skip-build
+  install -Dm644 doc/users/license.rst -t "$pkgdir"/usr/share/licenses/${pkgname}/
 }



More information about the arch-commits mailing list